# _rpmdbMatchIterator Struct Reference

## Data Fields

const void * | mi_keyp
size_t | mi_keylen
rpmdb | mi_db
int | mi_rpmtag
dbiIndexSet | mi_set
void * | mi_dbc
unsigned int | mi_ndups
int | mi_setx
Header | mi_h
int | mi_sorted
int | mi_cflags
int | mi_modified
unsigned int | mi_prevoffset
unsigned int | mi_offset
unsigned int | mi_filenum
unsigned int | mi_fpnum
unsigned int | mi_dbnum
int | mi_nre
miRE | mi_re
const char * | mi_version
const char * | mi_release

## Detailed Description

Definition at line 1524 of file rpmdb.c.

## Field Documentation

int _rpmdbMatchIterator::mi_cflags

| Definition at line 1535 of file rpmdb.c.

rpmdb _rpmdbMatchIterator::mi_db

| Definition at line 1527 of file rpmdb.c.

void* _rpmdbMatchIterator::mi_dbc

| Definition at line 1530 of file rpmdb.c.

unsigned int _rpmdbMatchIterator::mi_dbnum

| Definition at line 1541 of file rpmdb.c.

unsigned int _rpmdbMatchIterator::mi_filenum

| Definition at line 1539 of file rpmdb.c.

unsigned int _rpmdbMatchIterator::mi_fpnum

| Definition at line 1540 of file rpmdb.c.

Header _rpmdbMatchIterator::mi_h

| Definition at line 1533 of file rpmdb.c.

size_t _rpmdbMatchIterator::mi_keylen

| Definition at line 1526 of file rpmdb.c.

const void* _rpmdbMatchIterator::mi_keyp

| Definition at line 1525 of file rpmdb.c.

int _rpmdbMatchIterator::mi_modified

| Definition at line 1536 of file rpmdb.c.

unsigned int _rpmdbMatchIterator::mi_ndups

| Definition at line 1531 of file rpmdb.c.

int _rpmdbMatchIterator::mi_nre

| Definition at line 1542 of file rpmdb.c.

unsigned int _rpmdbMatchIterator::mi_offset

| Definition at line 1538 of file rpmdb.c.

unsigned int _rpmdbMatchIterator::mi_prevoffset

| Definition at line 1537 of file rpmdb.c.

miRE _rpmdbMatchIterator::mi_re

| Definition at line 1543 of file rpmdb.c.

const char* _rpmdbMatchIterator::mi_release

| Definition at line 1545 of file rpmdb.c.

int _rpmdbMatchIterator::mi_rpmtag

| Definition at line 1528 of file rpmdb.c.

dbiIndexSet _rpmdbMatchIterator::mi_set

| Definition at line 1529 of file rpmdb.c.

int _rpmdbMatchIterator::mi_setx

| Definition at line 1532 of file rpmdb.c.

int _rpmdbMatchIterator::mi_sorted

| Definition at line 1534 of file rpmdb.c.

const char* _rpmdbMatchIterator::mi_version

| Definition at line 1544 of file rpmdb.c.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.c